Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ecckd.F90 - ecCKD generalized gas optics model
-!
+
 ! (C) Copyright 2020- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_gas.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_gas.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_gas.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ecckd_gas.F90 - type representing a single ecCKD gas
-!
+
 ! (C) Copyright 2020- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ecckd_interface.F90 - Interface to ecCKD gas optics model
-!
+
 ! (C) Copyright 2020- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_flux.F90 - Derived type to store the output fluxes
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-09-08  R. Hogan  Store g-point fluxes
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_gas.F90 - Derived type to store the gas mixing ratios
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2019-01-14  R. Hogan  Added out_of_physical_bounds routine
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas_constants.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas_constants.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas_constants.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_gas_constants.F90 - Molar mases and ID codes of the various gases
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_general_cloud_optics.F90 - Computing generalized cloud optical properties
-!
+
 ! (C) Copyright 2020- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_general_cloud_optics_data.F90 - Type to store generalized cloud optical properties
-!
+
 ! (C) Copyright 2019- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_homogeneous_lw.F90 - Longwave homogeneous-column (no cloud fraction) solver
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive emission/albedo rather than planck/emissivity
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_homogeneous_sw.F90 - Shortwave homogeneous-column (no cloud fraction) solver
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive albedos at g-points
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ice_optics_fu.F90 - Scheme for ice optical properties adapted from Baran's data
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2016.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2016.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2016.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ice_optics_baran2016.F90 - Baran et al. (2016) scheme for ice optical properties
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2017.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2017.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_baran2017.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_ice_optics_baran2017.F90 - 2017 parameterization of Baran's ice optical properties
-!
+
 ! (C) Copyright 2017- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_ice_optics_fu.F90 - Fu's scheme for ice optical properties
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2020-08-10  R. Hogan  Bounded re to be <= 100um and g to be < 1.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_yi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_yi.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_yi.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_ice_optics_yi.F90 - Yi et al. (2013) ice optical properties
-!
+
 ! (C) Copyright 2017- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Authors: Mark Fielding and Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! The reference for this ice optics parameterization is Yi, B.,
 ! P. Yang, B.A. Baum, T. L'Ecuyer, L. Oreopoulos, E.J. Mlawer,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ifs_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ifs_rrtm.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ifs_rrtm.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_ifs_rrtm.F90 - Interface to IFS implementation of RRTM-G
-!
+
 ! (C) Copyright 2015- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive "surface" dummy argument
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_interface.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_interface.F90	(revision 5159)
@@ -1,20 +1,20 @@
 ! radiation_interface.F90 - Public interface to radiation scheme
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Changes to enable generalized surface description
 !   2017-09-08  R. Hogan  Reverted some changes
-!
+
 ! To use the radiation scheme, create a configuration_type object,
 ! call "setup_radiation" on it once to load the look-up-tables and
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_slingo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_slingo.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_slingo.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_liquid_optics_slingo.F90 - Slingo SW & Lindner-Li LW parameterization of liquid droplet optics
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_socrates.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_socrates.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_liquid_optics_socrates.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_liquid_optics_socrates.F90 - SOCRATES method for parameterizing liquid droplet optics
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2020-08-10  R. Hogan  Bounded re to be >=1.2um and <=50um
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_lw_derivatives.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_lw_derivatives.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_lw_derivatives.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_lw_derivatives.F90 - Compute longwave derivatives for Hogan and Bozzo (2015) method
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! This module provides routines to compute the rate of change of
 ! broadband upwelling longwave flux at each half level with respect to
@@ -22,5 +22,5 @@
 ! skin temperature, following the method of Hogan and Bozzo (JAMES
 ! 2015).  Separate routines are provided for each solver.
-!
+
 ! Note that currently a more approximate calculation is performed from
 ! the exact one in Hogan and Bozzo (2015); here we assume that a
@@ -28,5 +28,5 @@
 ! when in reality there is a change in shape of the Planck function in
 ! addition to an overall increase in the total emission.
-!
+
 ! Modifications
 !   2017-10-23  R. Hogan  Renamed single-character variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_matrix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_matrix.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_matrix.F90	(revision 5159)
@@ -1,19 +1,19 @@
 ! radiation_matrix.F90 - SPARTACUS matrix operations
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2018-10-15  R. Hogan  Added fast_expm_exchange_[23]
-!
+
 ! This module provides the neccessary mathematical functions for the
 ! SPARTACUS radiation scheme: matrix multiplication, matrix solvers
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_lw.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_lw.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_mcica_lw.F90 - Monte-Carlo Independent Column Approximation longtwave solver
-!
+
 ! (C) Copyright 2015- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive emission/albedo rather than planck/emissivity
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_sw.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_mcica_sw.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_mcica_sw.F90 - Monte-Carlo Independent Column Approximation shortwave solver
-!
+
 ! (C) Copyright 2015- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive albedos at g-points
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_interface.F90 - Monochromatic gas/cloud optics for testing
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-11  R. Hogan  Receive "surface" dummy argument
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_optical_depth_scaling.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_optical_depth_scaling.h	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_optical_depth_scaling.h	(revision 5159)
@@ -1,20 +1,20 @@
 ! radiation_optical_depth_scaling.h - Cloud optical-depth scaling for Tripleclouds 
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
-!
+
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-07-14  R. Hogan  Incorporate gamma distribution option
-!
+
 ! This file is intended to be included inside a module to ensure that
 ! this simple routine may be inlined
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_overlap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_overlap.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_overlap.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_overlap.F90 - Module to compute cloud overlap quantities
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-10-23  R. Hogan  Renamed single-character variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_pdf_sampler.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_pdf_sampler.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_pdf_sampler.F90	(revision 5159)
@@ -1,13 +1,13 @@
 ! radiation_pdf_sampler.F90 - Get samples from a PDF for McICA
-!
+
 ! (C) Copyright 2015- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_random_numbers.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_random_numbers.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_random_numbers.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_random_numbers.F90 - Generate random numbers for McICA solver
-!
+
 ! (C) Copyright 2020- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! The derived type "rng_type" is a random number generator that uses
 ! either (1) Fortran's built-in random_number function, or (2) a
@@ -25,5 +25,5 @@
 ! mod(istate[i]*A, M). Uniform deviates are returned that normalize
 ! the state elements to the range 0-1.
-!
+
 ! The MINSTD generator was coded because the random_numbers_mix
 ! generator in the IFS was found not to vectorize well on some
@@ -31,10 +31,10 @@
 ! implementation should really be looked at and improved by someone
 ! who knows what they are doing.
-!
+
 ! Reference for MINSTD: Park, Stephen K.; Miller, Keith
 ! W. (1988). "Random Number Generators: Good Ones Are Hard To Find"
 ! (PDF). Communications of the ACM. 31 (10):
 ! 1192-1201. doi:10.1145/63039.63042
-!
+
 ! Modifications
 !   2022-12-01  R. Hogan  Fixed zeroed state in single precision
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_regions.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_regions.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_regions.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_regions.F90 -- Properties of horizontal regions in Tripleclouds & SPARTACUS
-!
+
 ! (C) Copyright 2016- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-07-14  R. Hogan  Incorporate gamma distribution option
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_save.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_save.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_save.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_save.F90 - Save data to NetCDF files
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2017-04-22  R. Hogan  Adapt for new way of describing longwave properties
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_single_level.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_single_level.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_single_level.F90	(revision 5159)
@@ -1,16 +1,16 @@
 ! radiation_single_level.F90 - Derived type for single-level fields
-!
+
 ! (C) Copyright 2014- ECMWF.
-!
+
 ! This software is licensed under the terms of the Apache Licence Version 2.0
 ! which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-!
+
 ! In applying this licence, ECMWF does not waive the privileges and immunities
 ! granted to it by virtue of its status as an intergovernmental organisation
 ! nor does it submit to any jurisdiction.
-!
+
 ! Author:  Robin Hogan
 ! Email:   r.j.hogan@ecmwf.int
-!
+
 ! Modifications
 !   2019-01-14  R. Hogan  Added out_of_physical_bounds routine
